/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.caseinfo.dao;

import com.jeeplus.modules.workproject.entity.WorkProject;
import java.util.List;
import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.caseinfo.entity.CaseInfo;

/**
 * 案例详情DAO接口
 * @author liuw
 * @version 2018-01-24
 */
@MyBatisDao
public interface CaseInfoDao extends CrudDao<CaseInfo> {

	public List<WorkProject> findListByproject(WorkProject project);
	public List<CaseInfo> findByAllList(CaseInfo caseInfo);
	public List<CaseInfo> findByAllLists(CaseInfo caseInfo);
	public List<CaseInfo> findCompanyList(CaseInfo caseInfo);
	public List<CaseInfo> findListme(CaseInfo caseInfo);
	public List<CaseInfo> findListoffice(CaseInfo caseInfo);
	public List<CaseInfo> findListoffice2(CaseInfo caseInfo);
	//获取自己购买的案例
	public List<CaseInfo> findBuyCase(CaseInfo caseInfo);
	/**
	 * 更新流程实例ID
	 * @param
	 * @return
	 */
	public int updateProcessInstanceId(CaseInfo caseInfo);
	/**
	 * 根据流程实例ID获取Leave
	 * @param processInstanceId
	 * @return
	 */
	public CaseInfo getByProcessInstanceId(String processInstanceId);
}